Bug 154962 - NPE when autodetect Python platforms
NPE when autodetect Python platforms
Status: VERIFIED FIXED
Product: python
Classification: Unclassified
Component: Projects
6.x
All All
: P1 (vote)
: TBD
Assigned To: ardavis26
nbpythonqa
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-08 19:00 UTC by tonybeckham
Modified: 2009-01-15 01:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Exception Report (5.26 KB, text/plain)
2008-12-08 19:00 UTC, tonybeckham
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tonybeckham 2008-12-08 19:00:00 UTC
Using autodetect in the platform manager thrown NPE.

System:
Product Version: NetBeans IDE Dev (Build 20081208154120)
Java: 1.5.0_16; Java HotSpot(TM) Client VM 1.5.0_16-133
System: Mac OS X version 10.5.5 running on i386; MacRoman; en_US (nb)
Comment 1 tonybeckham 2008-12-08 19:00:49 UTC
Created attachment 74710 [details]
Exception Report
Comment 2 Peter Lam 2008-12-09 00:51:26 UTC
not sure if it's related to this. When I first started ide and I got the following ide warning dialog.

Warning - could not install some modules:
Python - the module Jython Distribution was requested in version >= 2.5 but only 0.115 was found

buttons: Disable Modules and Continue, Exit

I clicked on Disable button but Python is still available and it could only detect the bundled Jython from the system.
Comment 3 jymen 2008-12-10 10:41:38 UTC
This was relative to null output back from Execution service when executing platform_info.py environment script the pb
has been fixed since #281
Comment 4 tonybeckham 2008-12-10 18:24:52 UTC
Fix Verified in build 288

Product Version: NetBeans IDE Dev (Build 20081210163223)
Java: 1.5.0_16; Java HotSpot(TM) Client VM 1.5.0_16-133
System: Mac OS X version 10.5.5 running on i386; MacRoman; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo